Name: AMID
 
Version: 2.0.364
The following prerequisites are required:
 
  • Windows Installer 3.1
  • .NET Framework 4
 
Download Latest Release